Get Current User's ACL - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

API Reference

Get Current User's ACL

Request

GET /v2.0/users/me/acl

Try it

Example cURL:

curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/users/me/acl \
  --header 'X-API-Key: <api-key>'

Example Python code:

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/me/acl"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)

Example JavaScript (Fetch):

const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/me/acl', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Expected Response Status Codes

Example Response

{
  "organisationWide": {
    "rights": {
      "analyticsOdata": {
        "create": true,
        "read": true,
        "update": true,
        "delete": true
      },
      "apiKeys": {
        "create": true,
        "read": true,
        "update": true,
        "delete": true
      },
      "auditEvents": {
        "create": true,
        "read": true,
        "update": true,
        "delete": true
      }
      // ... other rights ...
    },
    "roles": []
  },
  "projectWide": {}
}

Headers

Required Header:

Response Format

Returns the acl object for the user.